Skip to main content
POST
/
linkedin
/
get-job
Bridgly SDK
import { Bridgly } from 'bridgly';

const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });

const res = await client.linkedin.getJob({
  jobUrl: "string",
});
if (res.type === 'success') console.log(res.data);
curl --request POST \
--url https://api.bridgly.app/linkedin/get-job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jobUrl": "<string>"
}
'
import requests

url = "https://api.bridgly.app/linkedin/get-job"

payload = { "jobUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobUrl: '<string>'})
};

fetch('https://api.bridgly.app/linkedin/get-job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "timeMs": 123,
  "creditsCost": 123,
  "data": {
    "jobId": "<string>",
    "jobUrn": "<string>",
    "dashJobUrn": "<string>",
    "jobUrl": "<string>",
    "applyUrl": "<string>",
    "title": "<string>",
    "standardizedTitleUrn": "<string>",
    "standardizedTitleId": "<string>",
    "standardizedTitleName": "<string>",
    "description": "<string>",
    "location": "<string>",
    "geoUrn": "<string>",
    "geoId": "<string>",
    "countryUrn": "<string>",
    "countryCode": "<string>",
    "workRemoteAllowed": true,
    "experienceLevel": "<string>",
    "employmentType": "<string>",
    "employmentTypeUrn": "<string>",
    "employmentTypeCode": "<string>",
    "industries": [
      {
        "industryId": "<string>",
        "name": "<string>"
      }
    ],
    "jobFunctions": [
      {
        "code": "<string>",
        "name": "<string>"
      }
    ],
    "inferredBenefits": [
      "<string>"
    ],
    "jobState": "<string>",
    "sourceDomain": "<string>",
    "listedAt": "<string>",
    "listedAtEpochMs": 123,
    "originalListedAt": "<string>",
    "originalListedAtEpochMs": 123,
    "expiresAt": "<string>",
    "expiresAtEpochMs": 123,
    "closedAt": "<string>",
    "closedAtEpochMs": 123,
    "applies": 123,
    "views": 123,
    "companyName": "<string>",
    "companyUrn": "<string>",
    "companyId": "<string>",
    "companyUrl": "<string>",
    "companyUniversalName": "<string>",
    "companyStaffCount": 123,
    "companyDescription": "<string>",
    "companyLogoUrl": "<string>"
  }
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.

Body

application/json
jobUrl
string
required

The LinkedIn job posting URL — the numeric job id is parsed from it, e.g. "https://www.linkedin.com/jobs/view/4417164255/".

Response

Default Response

timeMs
number
required

Wall-clock time the request took to complete, in milliseconds.

creditsCost
number
required

Number of account credits this request consumed.

data
object
required